Subject: Re: [PATCH] sound: Switch back to struct platform_driver::remove()

From: Takashi Iwai <[email-masked]>
Date: Tue, 29 Oct 2024 10:05:21 +0100

On Tue, 29 Oct 2024 08:37:47 +0100,
Uwe Kleine-König wrote:
> 
> After commit 0edb555a65d1 ("platform: Make platform_driver::remove()
> return void") .remove() is (again) the right callback to implement for
> platform drivers.
> 
> Convert all platform drivers below sound to use .remove(), with
> the eventual goal to drop struct platform_driver::remove_new(). As
> .remove() and .remove_new() have the same prototypes, conversion is done
> by just changing the structure member name in the driver initializer.
> 
> On the way do a few whitespace changes to make indention consistent.
> 
> Signed-off-by: Uwe Kleine-König <[email-masked]>
> ---
> Hello,
> 
> I did a single patch for all of sound. sound/soc was already converted
> separately, so isn't mixed in here. While I usually prefer to do one
> logical change per patch, this seems to be overengineering here as the
> individual changes are really trivial and shouldn't be much in the way
> for stable backports. But I'll happily split the patch if you prefer it
> split.

It's fine to do this in a single shot.

I suppose this can be applied for 6.13, not necessarily to be merged
for 6.12-rc?

thanks,

Takashi